[arch-commits] Commit in kdebase-workspace/repos (9 files)

Pierre Schmitz pierre at archlinux.org
Tue Dec 2 00:07:31 UTC 2008


    Date: Monday, December 1, 2008 @ 19:07:31
  Author: pierre
Revision: 20276

initial commit of kde-unstable

Added:
  kdebase-workspace/repos/kde-unstable-i686/
  kdebase-workspace/repos/kde-unstable-x86_64/
  kdebase-workspace/repos/kde-unstable-x86_64/PKGBUILD
  kdebase-workspace/repos/kde-unstable-x86_64/kde-np.pam
  kdebase-workspace/repos/kde-unstable-x86_64/kde.pam
  kdebase-workspace/repos/kde-unstable-x86_64/kdebase-workspace.install
  kdebase-workspace/repos/kde-unstable-x86_64/kdm
  kdebase-workspace/repos/kde-unstable-x86_64/kdm-zsh-profile.patch
  kdebase-workspace/repos/kde-unstable-x86_64/kscreensaver.pam

---------------------------+
 PKGBUILD                  |   49 ++++++++++++++++++++++++++++++++++++++++++++
 kde-np.pam                |    7 ++++++
 kde.pam                   |    7 ++++++
 kdebase-workspace.install |   11 +++++++++
 kdm                       |   37 +++++++++++++++++++++++++++++++++
 kdm-zsh-profile.patch     |   11 +++++++++
 kscreensaver.pam          |    1 
 7 files changed, 123 insertions(+)

Added: kde-unstable-x86_64/PKGBUILD
===================================================================
--- kde-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ kde-unstable-x86_64/PKGBUILD	2008-12-02 00:07:31 UTC (rev 20276)
@@ -0,0 +1,49 @@
+# $Id: $
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgname=kdebase-workspace
+pkgver=4.1.81
+pkgrel=1
+pkgdesc="KDE Base Workspace"
+arch=('i686' 'x86_64')
+url='http://www.kde.org'
+license=('GPL' 'LGPL' 'FDL')
+groups=('kde')
+depends=('kdelibs' 'kdepimlibs' 'kdebase-runtime' 'libcaptury' 'libxxf86misc' 'libxcomposite' 'libxres'
+	 'libxss' 'lm_sensors' 'libxklavier' 'qimageblitz' 'xdg-utils' 'libxdamage' 'consolekit')
+makedepends=('pkgconfig' 'cmake' 'automoc4' 'networkmanager' 'kdemultimedia' 'bluez-libs')
+optdepends=('kdemultimedia')
+replaces=('kdmtheme' 'kde-common')
+conflicts=('kde-common')
+options=('docs')
+install='kdebase-workspace.install'
+backup=('usr/share/config/kdm/kdmrc')
+source=("http://download.kde.org/unstable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
+        'kdm-zsh-profile.patch' 'kdm' 'kde.pam' 'kde-np.pam' 'kscreensaver.pam')
+md5sums=('a9fe8c590749a6b11ef56e9ed181335d'
+         '721e97031b62aee8914e8617e86f9235'
+         '5d80164932e0d44d8b802d3929a004ab'
+         '10a490653b002e6f9e7476ff9d37c011'
+         '552337fd9a3982d809ea16c7f0033d42'
+         '367a3538f54db71f108b34cfa31088ac')
+
+build() {
+	cd $srcdir/${pkgname}-${pkgver}
+	patch -p0 -i ${srcdir}/kdm-zsh-profile.patch || return 1
+	cd ../
+	mkdir build
+	cd build
+	cmake ../${pkgname}-${pkgver} \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DWITH_Xmms=OFF
+	make
+	make DESTDIR=$pkgdir install
+
+	install -D -m755 ${srcdir}/kdm ${pkgdir}/etc/rc.d/kdm
+	install -D -m644 ${srcdir}/kde.pam ${pkgdir}/etc/pam.d/kde
+	install -D -m644 ${srcdir}/kde-np.pam ${pkgdir}/etc/pam.d/kde-np
+	install -D -m644 ${srcdir}/kscreensaver.pam ${pkgdir}/etc/pam.d/kscreensaver
+	install -d -m755 ${pkgdir}/etc/X11/sessions/
+	ln -sf /usr/share/apps/kdm/sessions/kde{,-safe}.desktop ${pkgdir}/etc/X11/sessions/
+}

Added: kde-unstable-x86_64/kde-np.pam
===================================================================
--- kde-unstable-x86_64/kde-np.pam	                        (rev 0)
+++ kde-unstable-x86_64/kde-np.pam	2008-12-02 00:07:31 UTC (rev 20276)
@@ -0,0 +1,7 @@
+#%PAM-1.0
+auth		required	pam_nologin.so
+auth		required	pam_permit.so
+account		required	pam_unix.so
+password	required	pam_unix.so
+session		required	pam_unix.so
+session		required	pam_limits.so
\ No newline at end of file

Added: kde-unstable-x86_64/kde.pam
===================================================================
--- kde-unstable-x86_64/kde.pam	                        (rev 0)
+++ kde-unstable-x86_64/kde.pam	2008-12-02 00:07:31 UTC (rev 20276)
@@ -0,0 +1,7 @@
+#%PAM-1.0
+auth		required	pam_unix.so
+auth		required	pam_nologin.so
+account		required	pam_unix.so
+password	required	pam_unix.so
+session		required	pam_unix.so
+session		required	pam_limits.so
\ No newline at end of file

Added: kde-unstable-x86_64/kdebase-workspace.install
===================================================================
--- kde-unstable-x86_64/kdebase-workspace.install	                        (rev 0)
+++ kde-unstable-x86_64/kdebase-workspace.install	2008-12-02 00:07:31 UTC (rev 20276)
@@ -0,0 +1,11 @@
+post_install() {
+	xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}

Added: kde-unstable-x86_64/kdm
===================================================================
--- kde-unstable-x86_64/kdm	                        (rev 0)
+++ kde-unstable-x86_64/kdm	2008-12-02 00:07:31 UTC (rev 20276)
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/kdm`
+case "$1" in
+  start)
+    stat_busy "Starting KDE Desktop Manager"
+    [ -z "$PID" ] && /usr/bin/kdm &>/dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      echo $PID > /var/run/kdm.pid
+      add_daemon kdm
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping KDE Desktop Manager"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon kdm
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Added: kde-unstable-x86_64/kdm-zsh-profile.patch
===================================================================
--- kde-unstable-x86_64/kdm-zsh-profile.patch	                        (rev 0)
+++ kde-unstable-x86_64/kdm-zsh-profile.patch	2008-12-02 00:07:31 UTC (rev 20276)
@@ -0,0 +1,11 @@
+--- kdm/kfrontend/genkdmconf.c	2008-02-13 09:40:49.000000000 +0000
++++ kdm/kfrontend/genkdmconf.c	2008-05-16 12:47:36.000000000 +0000
+@@ -662,7 +662,7 @@
+ "    [ -d /etc/zsh ] && zdir=/etc/zsh || zdir=/etc\n"
+ "    zhome=${ZDOTDIR:-$HOME}\n"
+ "    # zshenv is always sourced automatically.\n"
+-"    [ -f $zdir/zprofile ] && . $zdir/zprofile\n"
++"    [ -f /etc/profile ] && . /etc/profile\n"
+ "    [ -f $zhome/.zprofile ] && . $zhome/.zprofile\n"
+ "    [ -f $zdir/zlogin ] && . $zdir/zlogin\n"
+ "    [ -f $zhome/.zlogin ] && . $zhome/.zlogin\n"

Added: kde-unstable-x86_64/kscreensaver.pam
===================================================================
--- kde-unstable-x86_64/kscreensaver.pam	                        (rev 0)
+++ kde-unstable-x86_64/kscreensaver.pam	2008-12-02 00:07:31 UTC (rev 20276)
@@ -0,0 +1 @@
+auth		required	pam_unix_auth.so




More information about the arch-commits mailing list